<?php

class Fiktiv_View_Helper_TagList extends Zend_View_Helper_Abstract
{
    public function taglist(array $list, array $url, $route = null)
    {
        foreach($list as $k => $v) {
            $url['tag'] = $v;
            $list[$k] = '<a href="' . $this->view->url($url, $route) . '">' . $v . '</a>';
        }
        return implode(', ', $list);
    }
}
